HostingDelivery
List suppression list entries
GET
/api/delivery/suppression_listsReturns suppression list entries for the current customer context.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Query Parameters
page?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
account_id?string
account_code?string
status?string
Suppression entry status filter.
all= include enabled and disabled resources.enabled= active and usable.disabled= disabled.
Values
all | enabled | disabledreason?string
Suppression reason filter.
complaint= recipient complaint.bounce= delivery bounce.
Values
complaint | bouncecategory?string
added_on?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/delivery/suppression_lists" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{ "resources": [ { "active": "string", "id": "string", "email": "string", "customer_id": "string", "reason": "complaint", "category": "string", "message": "string", "message_translated": "string", "accounts": "string", "created_at": "string" } ], "pagination": {}}